Changelog
The format is based on Keep a Changelog, and this project adheres to Semantic Versioning.
Note
Downtimes and maintenance windows are communicated upon subscription. You can subscribe here.
[1.28.0] - 2026-08-24
Added
Added optional
detect_best_audiencedimensions to:Added the optional
best_audienceresponse field to:
[1.27.1] - 2026-07-21
Changed
Update documentation
[1.27.0] - 2026-07-21
Added
New POST endpoint to add/overwrite KPIs, Metadata and ExternalIds to the file_id.
Can be added multiple key values at the same time or remove all at the same endpoint (with set the
kpi|metadata|externalIdsto empty object{}in the request body)IF key is not provided in the request, no change will be made to that key in the file_id.
Changed
Endpoints using the new kpi data in input/output
Update swagger documentation to reflect the new KPI usage.
[1.26.3] - 2026-07-09
Changed
Map reactions-v3.x/v4.x/v5.0 jobs to recommendations-v3.0 in returned job info.
Update documentation to reflect the new model version mapping.
[1.26.2] - 2026-07-07
Changed
Update documentation
[1.26.1] - 2026-06-29
Changed
Update documentation
[1.26.0] - 2026-06-26
Changed
Add new swagger url: https://api.adverteyes.ai/swagger, api url: https://api.adverteyes.ai and monitoring url: https://adverteyes.betteruptime.com/ to the documentation
Update documentation
[1.25.1] - 2026-06-04
Fixed
Fixed POST /v1/files/register failing on presigned S3 URLs by detecting content type via GET when HEAD is not supported.
[1.25.0] - 2026-05-29
Added
OAuth 2.0 Bearer token authentication. All protected endpoints now accept
Authorization: Bearer <access_token>in addition tox-api-key. Both methods are supported interchangeably but cannot be combined in the same request.OAuth 2.0 / OpenID Connect discovery endpoints:
[1.24.8] - 2026-05-14
Added
Added
reactions-v4.1. Documentation of the model and parameters can be found in the Model documentation.
[1.24.5] - 2026-04-10
Fixed
Vulnerability fixes
[1.24.4] - 2026-04-09
Added
New property
recommendation_detailsadded to endpoints:
[1.24.3] - 2026-02-26
Fixed
Unstable model version of scenes intelligence v2 removed from documentation.
[1.24.3-rc1] - 2026-02-24
Fixed
Fixed an issue where the API in rare cases returned empty ScenesIntelligence and incorrectly marked the state as “finished” before processing completed.
[1.24.1] - 2026-02-12
Fixed
Fixed error at getting diagnostics scores with GET /v1/insights/scores/{file_id}/{campaign_id} endpoint
[1.24.0] - 2026-02-11
Changed
Updated API endpoint hostnames for the Adverteyes rebrand to
adverteyes.ai.
[1.23.1] - 2026-02-06
Fixed
Fixed an issue where the API returned empty recommendations and incorrectly marked the state as “finished” before processing completed.
[1.23.0] - 2026-02-06
Added
Added new recommendations based on campaign objective
recommendations-v3.0.
Changed
Previous alpha versions of recommendations models and endpoints are still available, but marked as deprecated.
The full list of deprecated models is: [
recommendations-v1.0,recommendations-v2.0]The full list of deprecated endpoints is:
[1.22.10-beta] - 2026-01-21
Changed
Swagger documentation minor fixes
[1.22.9-beta] - 2025-12-19
Changed
Diagnostics and scores are aligned with media types (Videos and Images)
Conversion - Swipesscore has been renamed toConversion - Interactionsat diagnostics endpoints:
[1.22.8-beta] - 2025-12-02
Changed
Added
descriptionandimpactto diagnostics at insight endpoints:
[1.22.7-beta] - 2025-11-25
Changed
Remove
reactions-v4.0-alpha.1and addreactions-v4.0. Documentation of the model and parameters can be found in the Model documentation.
[1.22.6-beta] - 2025-11-20
Changed
Swagger documentation minor fixes
[1.22.5-beta] - 2025-11-20
Added
Added
reactions-v4.0-alpha.1. Documentation of the model and parameters can be found in the Model documentation.
[1.22.4-beta] - 2025-11-14
Fixed
Fixed issue with duplicated diagnostics list at GET /v1/insights/scores/{file_id}/{campaign_id} endpoint, when option
allhas been used forcampaign_idquery parameter
[1.22.3-beta] - 2025-11-05
Changed
Swagger documentation minor fixes
[1.22.2-beta] - 2025-09-10
Changed
Swagger documentation minor fixes at endpoint:
[1.22.1-beta] - 2025-09-10
Changed
Swagger documentation minor fixes at endpoint:
[1.22.0-beta] - 2025-09-10
Added
added required request body with optional
model_versionparameter to the following endpoints:
[1.21.1-beta] - 2025-08-27
Fixed
Swagger documentation minor fixes at endpoint:
[1.21.0-beta] - 2025-08-27
Changed
Modified the response of the following endpoints - version can be found at different place in the response:
[1.20.0-beta] - 2025-07-30
Added
Added new Api endpoints with Image intelligence (similar to Scenes-intelligence for videos) and Media insights
[1.19.5-beta] - 2025-07-24
Changed
Small improvement to file access
Fix
Batch model parameters validation.
If the model version was not provided, the default parameters were used for that record.
Symptom: empty params were returned with the result
[1.19.4-beta] - 2025-07-14
Changed
Update GET /v1/files/search endpoint:
Add date range filtering for created_at and updated_at fields
Add examples for the Swagger documentation
[1.19.3-beta] - 2025-06-25
Changed
API swagger documentation updated at endpoints:
[1.19.2-beta] - 2025-06-18
Changed
Added branding area at ad level for GET /v1/videos/scenes-intelligence/{file_id} endpoint.
[1.19.1-beta] - 2025-06-04
Changed
API swagger documentation updated with proper error codes per endpoint
Error messages updated to be consistent per all API endpoints
[1.19.0-beta] - 2025-05-22
Changed
Changed the default model version to
reactions-v3.4. Documentation of the models and parameters can be found in the documentation. Available at endpoints:Extra metrics available in the response at video and scene level:
negativity- maximum of negative reactionsreactions- maximum of all reactions
Search endpoint was reworked to support filtering for metadata and external_ids, also introduced paging support
[1.18.14-beta] - 2025-05-14
Changed
Images and videos uploaded and processed via Adverteyes Dashboard, are available via API to account owner with api_key scoped for the target account
Note: request_id in this case will be empty.
[1.18.13-beta] - 2025-05-08
Changed
API documentation minor updates
[1.18.12-beta] - 2025-05-08
Changed
Increase max file size from 100 MB to 4 GB
[1.18.11-beta] - 2025-05-06
Fix
Fix media registration from web url in Batch processing POST /v1/batch/predicted_reactions
Fix reactions-v3.2 media without audio processing
[1.18.10-beta] - 2025-04-30
Changed
API documentation minor updates
[1.18.9-beta] - 2025-04-30
Changed
Add ExternalIds and Metadata attribute possibility for endpoints with file registering capability
Added
GET endpoint to list media files by their external_ids
Parameters: External IDs for the files in the format: key1=value1&key2=value2&key3=value3
Added
reactions-v3.3. Documentation of the model and parameters can be found in the Model documentation.Available at endpoints:
Parameter changes compared to
reactions-v3.0:platform_format- replacing previousad_formatparameter. New values can be found in the Model documentation
[1.18.8-beta] - 2025-04-17
Changed
API documentation minor updates
[1.18.7-beta] - 2025-04-17
Changed
Countries list updated with disclaimer on reliability in the Countries documentation
API documentation minor updates
Added
Attention and Emotions section to explaining signals like Attention, Distraction, Happiness, Suprise, and Confusion in the Attention and Emotions documentation
[1.18.6-beta] - 2025-04-17
Changed
API documentation minor updates
[1.18.5-beta] - 2025-04-17
Changed
Improve heatmap generation performance and add {“heatmap_version”:”“v1”} optional body parameter to
POST /v1/videos/heatmap/{file_id} endpoint
POST /v1/images/heatmap/{file_id} endpoint
[1.18.1-beta] - 2025-03-17
Changed
Excluded unsupported countries from
countryparameters forreactions-v3model version:Updated list of supported countries in the Countries documentation
[1.18.0-beta] - 2025-03-14
Changed
Changed the default model version to
reactions-v3for videos and imagesAdded support new values for
countryandageparameters forreactions-v3model version:country-XXnew parameter value for Global country codeage-18-60new parameter value for GEN POP age range
[1.17.0-beta] - 2025-02-27
Added
Fixed/Improved consistency of processing state update for batch processing requests.
[1.16.0-beta] - 2025-02-18
Added
Add
time_to_earliest_brandingandemotional_tone_presenceattribute at video level for GET /v1/videos/scenes-intelligence/{file_id} endpoint.
[1.14.1-beta] - 2025-02-12
Changed
The POST /v1/batch/predicted-reactions now accepts urls without extensions
The POST /v1/files/register no longer needs the file_type paramter
[1.14.0-beta] - 2025-02-06
Added
New POST endpoint to media files from external urls without uploading them
[1.13.1-beta] - 2025-02-05
Added
fixed missing
number_of_focal_pointsattribute at scenes level for GET /v1/videos/scenes-intelligence/{file_id} endpoint.
[1.13.0-beta] - 2025-02-04
Added
New GET endpoint to get quota status of processing requests.
[1.11.0-beta] - 2025-01-09
Added
Added
reactions-v3.2. Documentation of the model and parameters can be found in the Model documentation.Available at endpoints:
Extra metrics available in the response at video and scene level:
negativity- maximum of negative reactionsreactions- maximum of all reactions
Default weights of Attention Potential score are: Attention (0.65), Happiness (0.2), Confusion(-0.025), Contempt (-0.025) and Surprise (-0.10)
Parameter changes compared to
reactions-v3.0:platform_format- replacing previousad_formatparameter. New values can be found in the Model documentationcountry-XXnew parameter value for Global GEN POP country codeage-18-60new parameter value for GEN POP age range
[1.9.0-beta] - 2024-11-06
Changed
Image predicted_reactions model versions
All predicted_reactions model versions can be used for images and videos
So for example reactions-v3.0 can be used for images, too with the parameters
Changed the default model version to
reactions-v2.1-compositefor imagesFor video it is the same as before (
reactions-v2.1-composite)
Batch processing
csv lowercase, uppercase, and mixed case headers and parameters are now supported
csv url errors are now more informative and at least one error per line is returned in the response to help with debugging
[1.7.0-beta] - 2024-10-24
Added
added
request_idto the response of POST /v1/{videos|images}/predicted-reactions/{file_id} and POST /v1/{videos|images}/recommendations/{file_id} endpointsNew GET endpoints to get history of processing requests.
[1.6.0-beta] - 2024-10-22
Added
New POST/GET endpoints to generating and retrieving scene information including timing, branding, description.
[1.5.7-beta] - 2024-10-18
Added
Added norms percentiles for the predicted reactions results via API. Available:
with all models versions
with all endpoints that return predicted reactions results
mean and peak: 25th, 50th, 75th percentiles of each reaction
at video and scene level
Changed
ad_formatparameter for reactions-v3.0 changed at API and APP:from: stream_free_browsing, tv_focused_exposure , shorts_free_browsing, feed_free_browsing
to: stream, tv, shorts, feed
Adverteyes API documentation updated accordingly
[1.5.6-beta] - 2024-10-15
Fixed
Fixed account limits calculations for POST API endpoints
[1.5.4-beta] - 2024-10-10
Added
Added
reactions-v3.0parameters as input option. Documentation of the models and parameters can be found in the documentation. Available at endpoints:Batch processing input became more flexible.
Only
urloruidis required for each record. The rest of the columns are optional.Order of the columns in the input file is not important anymore.
See examples at the swagger documentation POST /v1/batch/predicted-reactions
Changed
Recommendation and heatmap can be processed for the media after the predicted reactions are already processed for the media.
[1.5.2-beta] - 2024-09-30
Fixed
Fixed processing error when calling POST /v1/images/recommendations/{file_id} without calling POST /v1/images/predict-reactions/{file_id} first
[1.5.1-beta] - 2024-09-19
Fixed
Fixed batch processing when using external urls
[1.5.0-beta] - 2024-09-16
Changed
Changed default
model_versiontoreactions-v2.1-compositefor the POST /v1/*/predicted_reactions methodsIncrease max file size from 20MB to 100 MB
[1.4.1-beta] - 2024-09-04
Fixed
Improved the processing stability
[1.4.0-beta] - 2024-08-29
Added
Added new reaction predictions models
reactions-v3.0for video processing.Batch processing input changes.
uid,url,model_version,externalidmodel_version- optional parameter to specify the model version for the processing. If not provided, the default model version will be used for that recordexternalid- optional parameter to specify the external id for the processing. The external_id will be available in the response for the processed record
[1.3.2-beta] - 2024-08-12
Fixed
Fixed issue at POST /v1/*/predicted_reactions, when
*_peakdata for newest model is not recalculated if it was already processed by previous model versions
[1.3.1-beta] - 2024-08-08
Added
Added new reaction predictions models
reactions-v1.1-compositeandreactions-v2.1-composite. The full list of existing models is:reactions-v1.0- Attention Potential is Attention Mean Index and only video channel is analyzed (fit for videos without audio and images)reactions-v1.1-composite- Same asreactions-v1.0, but Attention Potential is a weighted average of subscores with correlationreactions-v2.0- Attention Potential is Attention Mean Index. Video and Audio channels are analyzedreactions-v2.1-composite- Same asreactions-v2.0, but Attention Potential is a weighted average of subscores with correlation
Improve parameter hierarchy on the prediction object:
added new fields to the prediction object:
reaction_data- contains all reactions subscores. The object includes reaction and their values in a format {‘reaction_key’:value} for the following keys:{reaction}_mean
{reaction}_mean_index
{reaction}_peak
{reaction}_peak_index where, {reaction} is one of the following reactions: attention, distraction, confusion, contempt, happiness, disgust, surprise
custom_scores- contains custom scores if target model outputs them
Introduced
show_reaction_dataquery parameter for GET /images/predicted_reactions and GET /videos/predicted_reactions endpoints to show all reactions subscores
Deprecated
Marked as deprecated
attention_indexandattention_meanfield at response from GET /images/predicted_reactions and GET /videos/predicted_reactionsthe values of
attention_indexandattention_meanare available at under newreaction_dataobject at same response
[1.2.0-beta] - 2024-07-31
Fixed
Fixed issue at POST /v1/images/recommendations, when images were treated as videos
[1.1.0-beta] - 2024-07-24
Added
Added initial version of Adverteyes API documentation. the documentation is available by the link
Added support of recommendations for images API references link
Fixed
Fixed wrong url from the response of GET /v1/file for images
Changed
Codec of generated heatmap video changed from
VP9toAVC1
Deprecated
Marked as deprecated
general_assessmentfield at response from GET /images/predicted_reactionsthe field is available at GET /images/recommendations
[1.0.2-beta] - 2024-07-22
Add
Introduce support of multiple reactions prediction models with help of
model_versionparameter at the /videos/predicted_reactions endpointCurrently supported 2 models:
reactions-v1.0- Predicts reactions based only on video/image inputreactions-v2.0- Predicts reactions based on video and audio tracks, provides better results for videos with audio in comparison withreactions-v1.0
[0.5.4-alpha] - 2024-07-15
Add
Introduced Batch processing for reactions prediction. Up to 100 videos/images can be processed at once. API references link
[0.5.3-alpha] - 2024-07-11
Add
Adverteyes API extended with reaction processing for images API references link
Adverteyes API extended with heatmap processing for images API references link
Change
Special characters at file name will be replaced with ‘_’ at upload file request
Increased scalability and performance of Reaction Prediction processing
Audio processing service is improved